{% extends "base.html" %}
{% block header %}
    <style>
        .m-card-item {
            padding: 20px 0;
            display: flex;
            justify-content: space-between;
            align-items: center;
        }

        .m-card-item:not(:last-child) {
            border-bottom: 1px solid rgba(225, 227, 229, 1);
        }

        .m-card-item.table-header {
            border-bottom-color: #a7a7a7;
        }

        .m-card-item .one {
            width: 20%;
        }

        .m-card-item .two {
            width: 20%;
        }

        .m-card-item .three {
            width: 40%;
        }

        .m-card-item .four {
            width: 20%;
        }

        .m-card-item:not(.table-header) {
            cursor: pointer;
        }

        .m-card-item:not(.table-header):hover {
            background-color: #e5e5e5;
        }
    </style>
{% endblock header %}
{% block title %}تاریخچه‌ی سفارشات{% endblock title %}
{% block body_title %}تاریخچه‌ی سفارشات{% endblock body_title %}
{% block content %}
    <div class="m-card" style="padding: 0 20px;">
        <div class="m-card-item table-header">
            <div class="one">
                <span>
                    سفارش
                </span>
            </div>
            <div class="two">
                <span>
                    {% if user.is_expert %}
                        کارفرما
                    {% else %}
                        متخصص
                    {% endif %}
                </span>
            </div>
            <div class="three">
                <span>
                    توضیحات
                </span>
            </div>
            <div class="four">
                <span>
                    هزینه
                </span>
            </div>
        </div>
        {% for order in orders %}
            <div class="m-card-item" onclick="window.open('/order/{{ order.id }}/', '_self')">
                <div class="one">
                    <span>
                        {{ order.expertise.name }}
                    </span>
                </div>
                <div class="two">
                    <span>
                        {% if user.is_expert %}
                            {{ order.customer.user.first_name }} {{ order.customer.user.last_name }}
                        {% else %}
                            {{ order.expert.user.first_name }} {{ order.expert.user.last_name }}
                        {% endif %}
                    </span>
                </div>
                <div class="three">
                <span>
                    {{ order.description }}
                </span>
                </div>
                <div class="four">
                    {{ order.expertise.price }}
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}
